Trips
Update a trip task template
Task templates belong to the authenticated organization. Applying a template requires a trip start date, offsets due dates from that date, creates tasks in template order and resolves dependencies from earlier template indexes.
PUT
/
admin
/
trip-task-templates
/
{id}
Update a trip task template
curl --request PUT \
--url https://api.gratona.com/v1/admin/trip-task-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Follow up with trip participants",
"tasks": [
{
"title": "Follow up with trip participants",
"description": "Please review the updated trip details.",
"due_date_offset": 1,
"is_required": false,
"requires_document": false,
"requires_approval": false,
"depends_on_index": 1,
"reminder_days_before": 1
}
]
}
'import requests
url = "https://api.gratona.com/v1/admin/trip-task-templates/{id}"
payload = {
"name": "Follow up with trip participants",
"tasks": [
{
"title": "Follow up with trip participants",
"description": "Please review the updated trip details.",
"due_date_offset": 1,
"is_required": False,
"requires_document": False,
"requires_approval": False,
"depends_on_index": 1,
"reminder_days_before": 1
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Follow up with trip participants',
tasks: [
{
title: 'Follow up with trip participants',
description: 'Please review the updated trip details.',
due_date_offset: 1,
is_required: false,
requires_document: false,
requires_approval: false,
depends_on_index: 1,
reminder_days_before: 1
}
]
})
};
fetch('https://api.gratona.com/v1/admin/trip-task-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/trip-task-templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Follow up with trip participants',
'tasks' => [
[
'title' => 'Follow up with trip participants',
'description' => 'Please review the updated trip details.',
'due_date_offset' => 1,
'is_required' => false,
'requires_document' => false,
'requires_approval' => false,
'depends_on_index' => 1,
'reminder_days_before' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/trip-task-templates/{id}"
payload := strings.NewReader("{\n \"name\": \"Follow up with trip participants\",\n \"tasks\": [\n {\n \"title\": \"Follow up with trip participants\",\n \"description\": \"Please review the updated trip details.\",\n \"due_date_offset\": 1,\n \"is_required\": false,\n \"requires_document\": false,\n \"requires_approval\": false,\n \"depends_on_index\": 1,\n \"reminder_days_before\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/trip-task-templates/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Follow up with trip participants\",\n \"tasks\": [\n {\n \"title\": \"Follow up with trip participants\",\n \"description\": \"Please review the updated trip details.\",\n \"due_date_offset\": 1,\n \"is_required\": false,\n \"requires_document\": false,\n \"requires_approval\": false,\n \"depends_on_index\": 1,\n \"reminder_days_before\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/trip-task-templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Follow up with trip participants\",\n \"tasks\": [\n {\n \"title\": \"Follow up with trip participants\",\n \"description\": \"Please review the updated trip details.\",\n \"due_date_offset\": 1,\n \"is_required\": false,\n \"requires_document\": false,\n \"requires_approval\": false,\n \"depends_on_index\": 1,\n \"reminder_days_before\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Saved successfully.",
"data": {
"id": 123,
"client_id": 123,
"name": "<string>",
"task_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tasks": [
{
"title": "<string>",
"description": "<string>",
"due_date_offset": 123,
"is_required": true,
"requires_document": true,
"requires_approval": true,
"depends_on_index": 1,
"reminder_days_before": 0
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Record ID within the organization and any parent resource in this route.
Body
application/json
Request fields accepted by this operation. Omitted optional properties retain the behavior described above.
⌘I
Update a trip task template
curl --request PUT \
--url https://api.gratona.com/v1/admin/trip-task-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Follow up with trip participants",
"tasks": [
{
"title": "Follow up with trip participants",
"description": "Please review the updated trip details.",
"due_date_offset": 1,
"is_required": false,
"requires_document": false,
"requires_approval": false,
"depends_on_index": 1,
"reminder_days_before": 1
}
]
}
'import requests
url = "https://api.gratona.com/v1/admin/trip-task-templates/{id}"
payload = {
"name": "Follow up with trip participants",
"tasks": [
{
"title": "Follow up with trip participants",
"description": "Please review the updated trip details.",
"due_date_offset": 1,
"is_required": False,
"requires_document": False,
"requires_approval": False,
"depends_on_index": 1,
"reminder_days_before": 1
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Follow up with trip participants',
tasks: [
{
title: 'Follow up with trip participants',
description: 'Please review the updated trip details.',
due_date_offset: 1,
is_required: false,
requires_document: false,
requires_approval: false,
depends_on_index: 1,
reminder_days_before: 1
}
]
})
};
fetch('https://api.gratona.com/v1/admin/trip-task-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/trip-task-templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Follow up with trip participants',
'tasks' => [
[
'title' => 'Follow up with trip participants',
'description' => 'Please review the updated trip details.',
'due_date_offset' => 1,
'is_required' => false,
'requires_document' => false,
'requires_approval' => false,
'depends_on_index' => 1,
'reminder_days_before' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/trip-task-templates/{id}"
payload := strings.NewReader("{\n \"name\": \"Follow up with trip participants\",\n \"tasks\": [\n {\n \"title\": \"Follow up with trip participants\",\n \"description\": \"Please review the updated trip details.\",\n \"due_date_offset\": 1,\n \"is_required\": false,\n \"requires_document\": false,\n \"requires_approval\": false,\n \"depends_on_index\": 1,\n \"reminder_days_before\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/trip-task-templates/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Follow up with trip participants\",\n \"tasks\": [\n {\n \"title\": \"Follow up with trip participants\",\n \"description\": \"Please review the updated trip details.\",\n \"due_date_offset\": 1,\n \"is_required\": false,\n \"requires_document\": false,\n \"requires_approval\": false,\n \"depends_on_index\": 1,\n \"reminder_days_before\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/trip-task-templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Follow up with trip participants\",\n \"tasks\": [\n {\n \"title\": \"Follow up with trip participants\",\n \"description\": \"Please review the updated trip details.\",\n \"due_date_offset\": 1,\n \"is_required\": false,\n \"requires_document\": false,\n \"requires_approval\": false,\n \"depends_on_index\": 1,\n \"reminder_days_before\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Saved successfully.",
"data": {
"id": 123,
"client_id": 123,
"name": "<string>",
"task_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tasks": [
{
"title": "<string>",
"description": "<string>",
"due_date_offset": 123,
"is_required": true,
"requires_document": true,
"requires_approval": true,
"depends_on_index": 1,
"reminder_days_before": 0
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}